> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Service Request: Yardi REST

POST https://api.propexo.com/v1/service-requests/yardi_rest/
Content-Type: application/json

Create Service Request: Yardi REST| Interface        | Method                                          |
| ---------------- | ----------------------------------------------- |
| Service Requests | /ItfServiceRequests/CreateOrEditServiceRequests |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/yardi-rest/service-requests/create-service-request-yardi-rest

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_service-requests_yardi_rest__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `access_is_authorized` (boolean, required) — Whether or not the tenant has granted permission to enter the unit associated with the service request
- `service_description` (string, required) — A description of the service request
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `resident_id` (string, optional) — The Propexo unique identifier for the resident
- `vendor_id` (string, optional) — The Propexo unique identifier for the vendor
- `service_details` (string, optional) — Details about the service request
- `date_created` (string, optional) — The date the service request was created
- `service_category` (enum, optional) — The category of service request
  - Allowed values: `Electrical`, `HVAC`, `Other`, `Plumbing`, `Service`
- `service_priority` (enum, optional) — The priority level associated with the service request
  - Allowed values: `High`, `Low`, `Med`, `24 hours`, `Emergency`
- `status_raw` (enum, optional) — The raw status associated with the service request
  - Allowed values: `Assessment`, `Call`, `Canceled`, `Completed`, `Electrical`, `Emergency`, `HVAC`, `In Progress`, `Inspection`, `On Hold`, `Other`, `Plumbing`, `Request Reassignment`, `Scheduled`, `Service`, `Web`, `Work Completed`

## Response

### 200

Successful response

- `meta` (V1ServiceRequestsYardiRestPostOutputMeta, required)
- `result` (V1ServiceRequestsYardiRestPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ServiceRequestsYardiRestPostOutputMeta

- `job_id` (string, required)

### V1ServiceRequestsYardiRestPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id` (string, required, nullable) — The Propexo unique identifier for the unit
- `resident_id` (string, required, nullable) — The Propexo unique identifier for the resident
- `vendor_id` (string, required, nullable) — The Propexo unique identifier for the vendor
- `access_is_authorized` (boolean, required) — Whether or not the tenant has granted permission to enter the unit associated with the service request
- `service_description` (string, required) — A description of the service request
- `service_details` (string, required, nullable) — Details about the service request
- `date_created` (string, required, nullable) — The date the service request was created
- `service_category` (enum, required) — The category of service request
  - Allowed values: `Electrical`, `HVAC`, `Other`, `Plumbing`, `Service`
- `service_priority` (enum, required) — The priority level associated with the service request
  - Allowed values: `High`, `Low`, `Med`, `24 hours`, `Emergency`
- `status_raw` (enum, required) — The raw status associated with the service request
  - Allowed values: `Assessment`, `Call`, `Canceled`, `Completed`, `Electrical`, `Emergency`, `HVAC`, `In Progress`, `Inspection`, `On Hold`, `Other`, `Plumbing`, `Request Reassignment`, `Scheduled`, `Service`, `Web`, `Work Completed`

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-1234567890abcdef",
  "access_is_authorized": true,
  "service_description": "Leaking faucet in kitchen"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240615-00123"
  },
  "result": {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "property_id": "prop-1234567890abcdef",
    "unit_id": "unit-4567a89b0cde1234",
    "resident_id": "res-7890bcdef1234567",
    "vendor_id": "vend-2345bcdef6789012",
    "access_is_authorized": true,
    "service_description": "Leaking faucet in kitchen",
    "service_details": "Tenant reports continuous drip from kitchen faucet, needs urgent repair.",
    "date_created": "2024-06-15T09:30:00Z",
    "service_category": "Plumbing",
    "service_priority": "High",
    "status_raw": "Assessment"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/service-requests/yardi_rest/"

payload = {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "property_id": "prop-1234567890abcdef",
    "access_is_authorized": True,
    "service_description": "Leaking faucet in kitchen"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/service-requests/yardi_rest/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-9f8b7c6d5e4a3b2c1d0e","property_id":"prop-1234567890abcdef","access_is_authorized":true,"service_description":"Leaking faucet in kitchen"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/service-requests/yardi_rest/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"access_is_authorized\": true,\n  \"service_description\": \"Leaking faucet in kitchen\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/service-requests/yardi_rest/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"access_is_authorized\": true,\n  \"service_description\": \"Leaking faucet in kitchen\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/service-requests/yardi_rest/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"access_is_authorized\": true,\n  \"service_description\": \"Leaking faucet in kitchen\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/service-requests/yardi_rest/', [
  'body' => '{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-1234567890abcdef",
  "access_is_authorized": true,
  "service_description": "Leaking faucet in kitchen"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/service-requests/yardi_rest/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"access_is_authorized\": true,\n  \"service_description\": \"Leaking faucet in kitchen\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-1234567890abcdef",
  "access_is_authorized": true,
  "service_description": "Leaking faucet in kitchen"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/service-requests/yardi_rest/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```